Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.config
Interface VirtualServerConfigKeys

public interface VirtualServerConfigKeys

Keys for use with `HTTPServiceConfig.createVirtualServerConfig(java.lang.String, java.lang.String, java.util.Map)`.

Field Summary
`static java.lang.String` | `ACCESS_LOG_PROPERTY_KEY`
`static java.lang.String` | `DEFAULT_WEB_MODULE_KEY`
`static java.lang.String` | `DOC_ROOT_KEY`
`static java.lang.String` | `DOC_ROOT_PROPERTY_KEY`
`static java.lang.String` | `HTTP_LISTENERS_KEY` comma-separated list of http-listeners
`static java.lang.String` | `LOG_FILE_KEY`
`static java.lang.String` | `STATE_DISABLED` One possible value for `STATE_KEY`
`static java.lang.String` | `STATE_KEY` Possible values: `STATE_DISABLED` `STATE_OFF` `STATE_ON`
`static java.lang.String` | `STATE_OFF` One possible value for `STATE_KEY`
`static java.lang.String` | `STATE_ON` One possible value for `STATE_KEY`

Field Detail

### HTTP_LISTENERS_KEY

    public static final java.lang.String HTTP_LISTENERS_KEY

  comma-separated list of http-listeners

  See Also:
    Constant Field Values

### DEFAULT_WEB_MODULE_KEY

    public static final java.lang.String DEFAULT_WEB_MODULE_KEY

See Also:
  Constant Field Values

### LOG_FILE_KEY

    public static final java.lang.String LOG_FILE_KEY

See Also:
  Constant Field Values

### DOC_ROOT_KEY

    public static final java.lang.String DOC_ROOT_KEY

See Also:
  Constant Field Values

### DOC_ROOT_PROPERTY_KEY

    public static final java.lang.String DOC_ROOT_PROPERTY_KEY

See Also:
  Constant Field Values

### ACCESS_LOG_PROPERTY_KEY

    public static final java.lang.String ACCESS_LOG_PROPERTY_KEY

See Also:
  Constant Field Values

### STATE_KEY

    public static final java.lang.String STATE_KEY

  Possible values:
  - `STATE_DISABLED`
  - `STATE_OFF`
  - `STATE_ON`

  See Also:
    Constant Field Values

### STATE_DISABLED

    public static final java.lang.String STATE_DISABLED

  One possible value for `STATE_KEY`

  See Also:
    Constant Field Values

### STATE_OFF

    public static final java.lang.String STATE_OFF

  One possible value for `STATE_KEY`

  See Also:
    Constant Field Values

### STATE_ON

    public static final java.lang.String STATE_ON

  One possible value for `STATE_KEY`

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.